<?php

namespace App\Mappers;

use App\Services\JWT\UsuarioLogado;
use App\Utils\DateUtils;
use App\ViewModels\Loja\LojaProdutoRegistartionViewModel\LojaProdutoRegistrationViewModel;
use App\ViewModels\Loja\LojaProdutoChangeStatusViewModel\LojaProdutoChangeStatusViewModel;

class LojaProdutoMapper {

	public static function getLojaProdutoRegistrationViewModelFromArray(array $dados): LojaProdutoRegistrationViewModel {

		$usr = UsuarioLogado::getUsuarioId();
		$data_c = DateUtils::today();
		$hora_c = DateUtils::now_time();

		$lojaResistration = LojaProdutoRegistrationViewModel::builder()->setIdProduto( $dados ['id_produto'] )
			->setIdStatus( $dados ['id_status'] )
			->setIdLoja( $dados ['id_loja'] )
			->setCriadoPor( $usr )
			->setDataCriacao( $data_c )
			->setHoraCriacao( $hora_c )
			->setDataAlteracao( '1900-01-01' )
			->setHoraAlteracao( '00:00:00' )
			->build();

		return $lojaResistration;

	}

	public static function getLojaProdutoChangeStatusViewModelFromArray(array $dados): LojaProdutoChangeStatusViewModel {

		$usr = UsuarioLogado::getUsuarioId();
		$data_c = DateUtils::today();
		$hora_c = DateUtils::now_time();

		$lojaResistration = LojaProdutoChangeStatusViewModel::builder()->setId( $dados ['id'] )			
			->setIdStatus( $dados ['id_status'] )
			->setAlteradoPor( $usr )
			->setDataAlteracao( $data_c )
			->setHoraAlteracao( $hora_c )
			->build();

		return $lojaResistration;

	}

}

